## Apache Zeta Components Manual :: File Source for password_credentials.php

## Source for file password_credentials.php

Documentation is available at password_credentials.php

1. <?php
2. /**
3. * File containing the ezcAuthenticationPasswordCredentials structure.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @filesource
24. * @package Authentication
25. * @version //autogen//
26. */
28. /**
29. * Structure containing an id and password, used as authentication credentials.
30. *
31. * @package Authentication
32. * @version //autogen//
33. * @mainclass
34. */
35. class ezcAuthenticationPasswordCredentials extends ezcAuthenticationCredentials
36. {
37. /**
38. * Username or userID or url.
39. *
40. * @var string
41. */
42. public $id ;
44. /**
45. * Password for the id.
46. *
47. * @var string
48. */
49. public $password ;
51. /**
52. * Constructs a new ezcAuthenticationPasswordCredentials object.
53. *
54. * @param string $id
55. * @param string $password
56. */
57. public function __construct ( $id, $password )
58. {
59. $this-> id = $id;
60. $this-> password = $password;
61. }
63. /**
64. * Returns a new instance of this class with the data specified by $array.
65. *
66. * $array contains all the data members of this class in the form:
67. * array('member_name'=>value).
68. *
69. * __set_state makes this class exportable with var_export.
70. * var_export() generates code, that calls this method when it
71. * is parsed with PHP.
72. *
73. * @param array(string=>mixed) $array Associative array of data members for this class
74. * @return ezcAuthenticationPasswordCredentials
75. */
76. public static function __set_state ( array $array )
77. {
78. return new ezcAuthenticationPasswordCredentials( $array['id'], $array['password'] );
79. }
81. /**
82. * Returns string representation of the credentials.
83. *
84. * Use it to save the credentials in the session.
85. *
86. * @return string
87. */
88. public function __toString ()
89. {
90. return $this-> id ;
91. }
92. }
93. ?>

Documentation generated by phpDocumentor 1.4.3